{% load static %}
<script src="{% static 'sb_admin/vendor/jquery/jquery.min.js' %}"></script>

<!-- Modal -->
<div class="modal fade" id="delete-payment-{{ payment_id }}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Удалить платеж</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        Вы точно хотите удалить платеж по рассрочке на сумму {{ summ }} ???
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Нет</button>
        <button type="button" id="delete-payment-{{ payment_id }}-btn" class="btn btn-primary">Да</button>
      </div>
    </div>
  </div>
</div>

<script>
    $(document).ready(function () {
        function deletePayment() {
            return new Promise((resolve, reject) => {
                $.ajax({
                    url: "{{ url }}",
                    type: 'post',
                    data: {
                        installment_id: "{{ installment_id }}",
                        payment_id: "{{ payment_id }}",
                        csrfmiddlewaretoken: "{{ csrf_token }}"
                    },
                    success: function (data) {
                        resolve(data)
                    },
                    error: function (error) {
                        reject(error)
                    }

                })
            })
        }

        $('#delete-payment-{{ payment_id }}-btn').click(function () {
            deletePayment().then(data => {
                $("#delete-payment-{{ payment_id }}").modal('toggle')
                {% include 'utils/alerts/success.js' with message="Платеж удален успешно" %}
            })
        })

    })


</script>